# Class TargetedNotification

java.lang.Object
javax.management.remote.TargetedNotification

All Implemented Interfaces:
  `Serializable`

public class TargetedNotification extends Object implements Serializable

A (Notification, Listener ID) pair.

This class is used to associate an emitted notification with the listener ID to which it is targeted.

Since:
  1.5
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TargetedNotification(Notification notification, Integer listenerID)`
  Constructs a `TargetedNotification` object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Integer`
  `getListenerID()`
  The ID of the listener to which the notification is targeted.
  `Notification`
  `getNotification()`
  The emitted notification.
  `String`
  `toString()`
  Returns a textual representation of this Targeted Notification.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### TargetedNotification

    public TargetedNotification(Notification notification, Integer listenerID)

    Constructs a `TargetedNotification` object. The object contains a pair (Notification, Listener ID). The Listener ID identifies the client listener to which that notification is targeted. The client listener ID is one previously returned by the connector server in response to an `addNotificationListener` request.

    Parameters:
      `notification` - Notification emitted from the MBean server.
      `listenerID` - The ID of the listener to which this notification is targeted.
    Throws:
      `IllegalArgumentException` - if the listenerID or notification is null.

- ## Method Details

  - ### getNotification

    public Notification getNotification()

    The emitted notification.

    Returns:
      The notification.

  - ### getListenerID

    public Integer getListenerID()

    The ID of the listener to which the notification is targeted.

    Returns:
      The listener ID.

  - ### toString

    public String toString()
    Returns a textual representation of this Targeted Notification.
    Overrides:
      `toString` in class `Object`
    Returns:
      a String representation of this Targeted Notification.